tm-mh-e 7.71 説明書（日本語版）
*******************************

This file documents tm-mh-e, a MIME extension for GNUS.

mh-e で MIME を楽しむための package である `tm-mh-e' について説明します。

tm-mh-e って何？
****************

*tm-mh-e* は tm (see tm-kernel (tm-ja)) を使って mh-e
(see (mh-e)) の MIME (see MIME (tm-ja)) 機能を強化するための
package です。

tm-mh-e によって強化される機能は次の通りです：

   * tm-view (see (tm-view-ja)) を使った automatic MIME preview
   * tm-edit (see (tm-edit-ja)) を使った MIME message の作成

MH-Folder mode に拡張される機能
*******************************

`M-t'
     automatic MIME preview を行なうかどうかの toggle

`v'
     `mime/viewer-mode' に入り、MIME message を操作する

`.'
     message を表示する

`,'
     全ての field を表示した状態で、message を表示する

`M-,'
     automatic MIME preview を行う前の生の message を表示する

mime/viewer-mode (see mime/viewer-mode (tm-view-ja)) は MIME message
を閲覧するための mode で、message の中を移動したり、対話的に message の
中の各 content を再生したりすることができます。

MIME message の inline 表示
***************************

tm-mh-e では *automatic MIME preview* 機能を利用することができます。この
機能を使うと MH-Folder mode (see Reading Mail (mh-e)) で記事を読む時、
通常表示される show buffer の代わりに tm-view (see (tm-view-ja)) で
処理された preview buffer を表示します。

このため、Quoted-Printable (see Quoted-Printable (tm-ja)) や Base64
(see Base64 (tm-ja)) で encode された記事を decode して表示することが
できます。あるいは、text/enriched (see text/enriched (tm-ja)) 形式の
ような書体や組版に関する情報を持った記事を整形して表示できます。当然のこ
とながら、multipart (see multipart (tm-ja)) の記事も正しく処理できま
す。

また、*XEmacs* では text と同様に絵も preview buffer 内で表示することが
できます。

metamail を使った場合と異なり、音の入った記事を読んだとたん、いきなり、
音が鳴り出したり、video の入った記事を読むたびに video が再生されたり、
anonymous ftp (see ftp (tm-ja)) や mail-server を利用した
external-message の入った記事を読むたびに anonymous ftp を実行したり、
mail を送ったりすることが防げます。こうした content は preview buffer の
中に入って再生 command を実行した時のみ再生されます。

しかしながら、遅い machine を使っていて、MIME 処理の overhead が気になる
場合、automatic MIME preview を抑止することができます。

 -- Variable: tm-mh-e/automatic-mime-preview

     `nil' でない場合、automatic MIME preview を行います。

国際化
******

MULE (see mule (tm-ja)), XEmacs/mule, および、mule 統合版 Emacs (*1)
などの mule 機能を持った emacs では MIME charset (see MIME charset (tm-ja))
および、非 MIME message/part に対する newsgroup 毎に指定され
た `default-mime-charset' での code 変換が行われます。

*[Memo]*
     (*1) 1996 年 10 月現在、半田 剣一 氏と RMS 氏が開発中の Emacs で、
     MULEの機能のうち、多言語化と国際化に関する機能が merge されたものを
     指しています。

具体的には、code 変換は次のように行われます：

  1. もし、ある MIME message のある part が Content-Type field (see
     Content-Type field (tm-ja)) に charset parameter を持っていれば、
     その MIME charset を用いて code 変換を行う。

  2. message header や非 MIME message など、charset が宣言されていない場
     合、Summary Buffer 上の `default-mime-charset' の値で code 変換され
     る。

MTA で code 変換を行っている場合
================================

MTA (see MTA (tm-ja)) で EUC や Shift_JIS などに code 変換している場
合、tm-mh-e の default の設定では文字化けします。はっきり言って、こうし
たことを行なうことはあまり勧められたことではないです。MIMEの charset 宣
言がおかしくなるほかに、電子書名がおかしくなるなど、さまざまな弊害があり
ます。

よって、もし、あなたが管理者でこういう設定をしているのであれば即刻やめま
しょう。また、どうしてもそういうことをしたいのなら user が MTA での code
変換をやめられるような方法にしましょう。また、あなたが管理者でないなら管
理者を説得しましょう。また、業者がそういう設定をしないように注文しましょ
う。聞くところによると、そういう設定をする見識のない WS maker があるそう
ですが、SE にいってそういう設定をさせないようにしましょう。また、どうし
ても聞かないならそういう業者とは縁を切りましょう。

しかし、あなたが不幸にしてどうしてもこういう環境で使わざるを得ないのであ
れば、以下の記述を参考にしてください。

非 MIME message または charset が存在しない場合のみの対策
---------------------------------------------------------

非 MIME message の場合、変数 default-mime-charset に文字 code を設定すれ
ば OK です。例えば、日本語 EUC の場合は

     (setq default-mime-charset 'euc-japan)

として下さい。

MIME charset が存在する場合も含めた対策
---------------------------------------

MIME charset (see MIME charset (tm-ja)) が存在する場合、変数
`mime-charset-coding-system-alist' に `iso-2022-jp' に対応する
coding-system を `*sjis*' や `*euc-japan*' 等の変換された code に変える
というのが１つの方法です。但し、この場合、encode されて元の文字 code が
保存されている場合に文字化けすることになります。

このことを考慮すると、関数 `tm-mh-e/decode-charset-buffer' を再定義する
のが良いといえます。おそらく、iso-2022-jp 以外の文字 code は保存されない
でしょうから、例えば日本語 EUC に変換されている場合、以下のような定義で
十分でしょう。

     (defun tm-mh-e/decode-charset-buffer (charset &optional encoding)
       (decode-mime-charset-region (point-min)(point-max) 'euc-japan)
       )

MIME message の作成
*******************

mime-setup (see mime-setup (tm-ja)) を使っている場合、MH-Letter mode
(see Draft Editing (mh-e)) において、tm-edit (see (tm-edit-ja))
を用いた MIME message の作成を行うことができます。

また、MH-Folder mode で `f' を押すと、RFC 934 (see RFC 934 (tm-ja))
による forward の代りに message/rfc822 (see message/rfc822 (tm-ja))
形式による forward が行えます。

変数索引
********